org.eclipse.microprofile.fault.tolerance.tck.config

## Class TimeoutConfigBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.config.TimeoutConfigBean

    @ApplicationScoped
    public class TimeoutConfigBean
    extends Object

Suite of methods for testing the various parameters of Timeout

### Constructor Summary

Constructors
Constructor and Description
`TimeoutConfigBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<Void>` `serviceBoth()`
`void` `serviceUnit()`
`void` `serviceValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeoutConfigBean

    public TimeoutConfigBean()

### Method Detail

#### serviceValue

    @Timeout(value=1L,
             unit=MILLIS)
    public void serviceValue()
                                                               throws InterruptedException

Throws:
  `InterruptedException`

#### serviceUnit

    @Timeout(value=1000L,
             unit=MICROS)
    public void serviceUnit()
                                                                 throws InterruptedException

Throws:
  `InterruptedException`

#### serviceBoth

    @Timeout(value=10L,
             unit=MICROS)
     @Asynchronous
    public CompletionStage<Void> serviceBoth()
                                                                                               throws InterruptedException

Throws:
  `InterruptedException`